######################
# Architecture config
######################

if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "arm")
	message(STATUS "ARM architecture detected")
	set(ARCH_ARM TRUE)
endif()

if(WIN32)
	set(AUTO_NEWLINE_STYLE WIN32)
else()
	set(AUTO_NEWLINE_STYLE UNIX)
endif()
if(CMAKE_HOST_SYSTEM MATCHES Windows)
	set(HOST_WIN32 TRUE)
else()
	set(HOST_WIN32 FALSE)
endif()

######################
# Define install paths
######################

if(WIN32)
	set(INSTALL_PATH_SHARE ".")
	set(INSTALL_PATH_BIN ".")
	set(INSTALL_PATH_LIB ".")
	set(INSTALL_PATH_INCLUDE "include")
	set(INSTALL_PATH_PLUGIN ".")
	set(INSTALL_PATH_QML "./qml")
	set(INSTALL_PATH_DOC ".")
	set(INSTALL_PATH_LICENSE "license")
	set(INSTALL_PATH_APPLICATIONS ".")
	set(INSTALL_PATH_ICONS ".")
	set(INSTALL_PATH_ETC "etc")
elseif(APPLE)
	set(INSTALL_PATH_SHARE ".")
	set(INSTALL_PATH_BIN ".")
	set(INSTALL_PATH_LIB "../lib")
	set(INSTALL_PATH_INCLUDE "../include")
	set(INSTALL_PATH_FRAMEWORKS "../Frameworks")
	set(INSTALL_PATH_PLUGIN "../plugins")
	set(INSTALL_PATH_QML "../qml")
	set(INSTALL_PATH_DOC ".")
	set(INSTALL_PATH_LICENSE "./license")
	set(INSTALL_PATH_APPLICATIONS ".")
	set(INSTALL_PATH_ICONS ".")
	set(INSTALL_PATH_ETC "../etc")
else()
	set(INSTALL_PATH_BIN "share/${APPLICATION_PACKAGE_NAME}/bin")
	set(INSTALL_PATH_SHARE "share/${APPLICATION_PACKAGE_NAME}")
	set(INSTALL_PATH_LIB "share/${APPLICATION_PACKAGE_NAME}/lib")
	set(INSTALL_PATH_INCLUDE "share/${APPLICATION_PACKAGE_NAME}/include")
	set(INSTALL_PATH_PLUGIN "share/${APPLICATION_PACKAGE_NAME}/plugins")
	set(INSTALL_PATH_DOC "share/${APPLICATION_PACKAGE_NAME}/doc")
	set(INSTALL_PATH_LICENSE "share/${APPLICATION_PACKAGE_NAME}/license")
	set(INSTALL_PATH_APPLICATIONS "share/applications")
	set(INSTALL_PATH_ICONS "share/icons")
	set(INSTALL_PATH_ETC "share/${APPLICATION_PACKAGE_NAME}/etc")
endif()

if(WITH_AUTONOMOUS_PACKAGE_BUILD)
	set(USE_CUSTOM_FONT_CONFIG TRUE)
else()
	set(USE_CUSTOM_FONT_CONFIG FALSE)
endif()
